:root {

    --light-bg: #fefefe;
    --light-text: #2f1833;
    --light-accent: green;

    --dark-bg: black;
    --dark-text: ghostwhite;
    --dark-accent: #82D957;

    --text-width: 800px;
    color-scheme: light dark;
}

@font-face {
    font-family: "Raleway";
    src: url("/assets/Raleway-VF.woff2") format("woff2");
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}

body {
    display: grid;
    background-color: light-dark(var(--light-bg), var(--dark-bg));
    color: light-dark(var(--light-text), var(--dark-text));
    margin: 0 auto;
    font-weight: 400;
}

article {
    margin: 3em;
    font-weight: 400;
    font-size: 1.2rem;

    h1 {
        padding-bottom: 1em;
    }

    h2 {
        padding-bottom: 0.75em;
        padding-top: 0,5em;
    }

    p {
        padding-bottom: 0.5em;
        max-width: var(--text-width);
    }

    a {
        color: light-dark(var(--light-accent), var(--dark-accent));
    }
}